Content & StorefrontArticles
List published articles
GET
/v1/articlesList published articles. A successful request returns HTTP 200 with the documented response body.
Query Parameters
search?string
Free-text filter. Which fields it covers depends on the resource.
folder?string
tag?string
limit?integer
Maximum number of results to return.
Format
int32Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/articles" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004325301", "title": "Example title", "slug": "example-resource", "author": "example", "folder": "example", "tags": [ "example" ], "coverUrl": "https://example.com/resource", "excerpt": "example", "publishedOn": "2026-08-01T15:30:00Z" }]